Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.event.trackback
Interface TrackBackListener

All Known Implementing Classes:
  AbstractEmailNotificationListener, AuditListener, BlogEntryResponseListenerSupport, ContentSpamListener, DeleteRejectedListener, DisableResponseListener, EmailAuthorNotificationListener, EmailNotificationListener, IpAddressListener, LinkSpamListener, MarkApprovedListener, MarkApprovedWhenAuthenticatedListener, MarkPendingListener, ResponseIndexListener, ResponseManager, SpamScoreListener, TrackBackListenerSupport

    public interface TrackBackListener

Implemented by classes wanting to be notified of TrackBack events.

Author:
  Simon Brown

Method Summary
`void` | `trackBackAdded(TrackBackEvent event)` Called when a TrackBack has been added.
`void` | `trackBackApproved(TrackBackEvent event)` Called when a TrackBack has been approved.
`void` | `trackBackRejected(TrackBackEvent event)` Called when a TrackBack has been rejected.
`void` | `trackBackRemoved(TrackBackEvent event)` Called when a TrackBack has been removed.

Method Detail

### trackBackAdded

    void trackBackAdded(TrackBackEvent event)

  Called when a TrackBack has been added.

  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRemoved

    void trackBackRemoved(TrackBackEvent event)

  Called when a TrackBack has been removed.

  Parameters:
    `event` - a TrackBackEvent instance

### trackBackApproved

    void trackBackApproved(TrackBackEvent event)

  Called when a TrackBack has been approved.

  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRejected

    void trackBackRejected(TrackBackEvent event)

  Called when a TrackBack has been rejected.

  Parameters:
    `event` - a TrackBackEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.